Bug 5555 - [UPDATE REQUEST] Upgrade rpcbind
: [UPDATE REQUEST] Upgrade rpcbind
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-14 18:47 MSD by a.lahin
Modified: 2015-05-18 13:58 MSD (History)
2 users (show)

See Also:
RPM Package: rpcbind
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss (16.90 KB, image/png)
2015-05-14 19:17 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description a.lahin 2015-05-14 18:47:08 MSD
We need to upgrade rpcbind to fix some minor errors:

journalctl -xb -p 0..3 | grep rpcbind
апр 24 10:42:00 law-VirtualBox rpcbind[3764]: Cannot open '/var/lib/rpcbind/rpcbind.xdr' file for reading, errno 2 (No such file or directory)
апр 24 10:42:00 law-VirtualBox rpcbind[3764]: Cannot open '/var/lib/rpcbind/portmap.xdr' file for reading, errno 2 (No such file or directory)

systemctl stop rpcbind
systemctl status rpcbind
rpcbind.service - RPC bind service
   Loaded: loaded (/lib/systemd/system/rpcbind.service; enabled)
   Active: failed (Result: exit-code) since Чт 2015-05-14 16:43:01 MSK; 1s ago
  Process: 3795 ExecStart=/sbin/rpcbind -w ${RPCBIND_OPTIONS} (code=exited, status=0/SUCCESS)
 Main PID: 3805 (code=exited, status=2)

май 11 20:50:10 law-VirtualBox systemd[1]: Starting RPC bind service...
май 11 20:50:10 law-VirtualBox systemd[1]: Started RPC bind service.
май 11 20:50:11 law-VirtualBox rpcbind[3805]: Cannot open '/var/lib/rpcbind/rpcbind.xdr' file for reading, errno ...tory)
май 11 20:50:11 law-VirtualBox rpcbind[3805]: Cannot open '/var/lib/rpcbind/portmap.xdr' file for reading, errno ...tory)
май 14 16:43:01 law-VirtualBox systemd[1]: Stopping RPC bind service...
май 14 16:43:01 law-VirtualBox rpcbind[3805]: rpcbind terminating on signal. Restart with "rpcbind -w"
май 14 16:43:01 law-VirtualBox systemd[1]: rpcbind.service: main process exited, code=exited, status=2/INVALIDARGUMENT
май 14 16:43:01 law-VirtualBox systemd[1]: Stopped RPC bind service.
май 14 16:43:01 law-VirtualBox systemd[1]: Unit rpcbind.service entered failed state.

Expected behavior:
No critical errors on startup 
Clean shutdown, such as:
systemctl stop rpcbind
systemctl status rpcbind
rpcbind.service - RPC bind service
   Loaded: loaded (/lib/systemd/system/rpcbind.service; enabled)
   Active: inactive (dead) since Чт 2015-05-14 14:46:23 UTC; 4s ago
  Process: 3914 ExecStart=/sbin/rpcbind -w ${RPCBIND_OPTIONS} (code=exited, status=0/SUCCESS)
 Main PID: 3915 (code=exited, status=0/SUCCESS)
   CGroup: /system.slice/rpcbind.service

май 14 14:26:22 localhost systemd[1]: Started RPC bind service.
май 14 14:46:23 localhost systemd[1]: Stopping RPC bind service...
май 14 14:46:23 localhost systemd[1]: Stopped RPC bind service.
Comment 2 Vladimir Potapov 2015-05-14 19:17:49 MSD
Created attachment 3953 [details]
ss

I see the information on update.
Comment 3 a.lahin 2015-05-14 19:51:46 MSD
README.urpmi removed:

https://abf.io/build_lists/2501411
https://abf.io/build_lists/2501412
Comment 4 Vladimir Potapov 2015-05-15 04:45:49 MSD
The update is sent to expanded testing
**************************************
Comment 5 Vladimir Potapov 2015-05-18 12:42:46 MSD
rpcbind-0.2.3-2
https://abf.io/build_lists/2501411
https://abf.io/build_lists/2501412
************************** Advisory *******************************
upgrade rpcbind to fix some minor errors
*******************************************************************
QA Verified